package com.xhpc.activity.mapper;


import com.xhpc.activity.domain.XhpcActivityInternetDomain;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface XhpcActivityInternetMapper {

    List<XhpcActivityInternetDomain> selectByParams(@Param("params") Map<String, Object> params);

    List<Map<String,Object>> selectNameMapList(@Param("params")Map<String, Object> params);

    int deleteLogicByPrimaryKey(Integer activity_id);

    int deleteByPrimaryKey(Integer activity_id);

    int insert(XhpcActivityInternetDomain record);

    XhpcActivityInternetDomain selectByPrimaryKey(Integer activity_id);

    int updateByPrimaryKey(XhpcActivityInternetDomain record);

    int updateStatusByPrimaryKey(XhpcActivityInternetDomain record);

    int checkByPrimaryKey(XhpcActivityInternetDomain record);

    List<XhpcActivityInternetDomain> selectByDateBetween(@Param("internetName")String internetName, @Param("stationList")List<String> stationList, @Param("startTime")String startTime, @Param("endTime")String endTime);

    int updateStatusByExpireNow();

    //获取场站时间段
    List<Map<String,Object>> getXhpcRateTimes(@Param("chargingStationId")Long chargingStationId);

    String getChargingStation(@Param("chargingStationId")Long chargingStationId);
}
